Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040222
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajorhave not tried2019-02-05 13:302019-03-04 09:56
ReportermarvintmView Statuspublic 
Assigned TojavierRodriguez 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision15f064faac6c
ProjectionnoneETAnoneTarget VersionRR19Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040222: The prepayment limit check is not correctly done in Pay Open Tickets for layaways

DescriptionIn Pay Open Tickets there is the possibility to specify an amount to layaway for existing layaways, by clicking the corresponding layaway row and specifying an amount.

However, in this case the layaway limit should apply for the prepayment, and the normal receipt limit is applied instead.
Steps To Reproduce- Create a layaway for total 150 and sync it to the backoffice.
- In Pay Open Tickets, select the layaway.
- Click on the layaway, and specify 20.
- Do a payment for 20 and try to complete the layaway. Notice that the approval for the normal receipt payment limit appears. This is not correct
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040146 closedjavierRodriguez The prepayment limit check is not correctly done in Pay Open Tickets for layaways 

-  Notes
(0109870)
hgbot (developer)
2019-02-15 13:22

Repository: retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal
Changeset: 15f064faac6c768f64d3cf2254e0e7bdd3d541fd
Author: Javier Rodriguez <javier.rodriguez <at> openbravo.com>
Date: Fri Feb 15 13:12:18 2019 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/15f064faac6c768f64d3cf2254e0e7bdd3d541fd [^]

Fixed issue 40222: The prepayment limit check is not correctly done in Pay Open Tickets for layaways

Layaway orders must count their prepayment limit for layaways when checking the prepayment limit in Pay Open Tickets.

---
M web/org.openbravo.retail.posterminal/js/components/order.js
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0110175)
jorge-garcia (developer)
2019-03-04 09:56

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-02-15 12:47 marvintm Type defect => backport
2019-02-15 12:47 marvintm Target Version => RR19Q1
2019-02-15 13:22 hgbot Checkin
2019-02-15 13:22 hgbot Note Added: 0109870
2019-02-15 13:22 hgbot Status scheduled => resolved
2019-02-15 13:22 hgbot Resolution open => fixed
2019-02-15 13:22 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4ce8ab366da80194279cb6987ade651b3334fd7a [^] => http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/15f064faac6c768f64d3cf2254e0e7bdd3d541fd [^]
2019-03-04 09:56 jorge-garcia Review Assigned To => jorge-garcia
2019-03-04 09:56 jorge-garcia Note Added: 0110175
2019-03-04 09:56 jorge-garcia Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker